using System;

namespace NinjaDatabaseLite.Demo.ViewModels
{
        /// <summary>
        /// 
        /// </summary>
        public class SavedEventArgs : EventArgs {

                /// <summary>
                /// Initializes a new instance of the <see cref="SavedEventArgs"/> class.
                /// </summary>
                /// <param name="action">The action.</param>
                public SavedEventArgs(SaveAction action)
                {
                        Action = action;
                }

                /// <summary>
                /// Gets or sets the action that occurred when the object was saved.
                /// </summary>
                /// <value></value>
                public SaveAction Action { get; set; }
        }

        /// <summary>
        /// The action performed by the save event.
        /// </summary>
        public enum SaveAction {
                /// <summary>
                /// Default. Nothing happened.
                /// </summary>
                None,
                /// <summary>
                /// It's a new object that has been inserted.
                /// </summary>
                Insert,
                /// <summary>
                /// It's an old object that has been updated.
                /// </summary>
                Update,
                /// <summary>
                /// The object was deleted.
                /// </summary>
                Delete
        }
}
